API references
Merchant API

Retrieve merchant configuration

Retrieves the read-only system configuration set up for your merchant account by Reservepay.

To view or modify self-service parameters that you control directly, see retrieve-merchant-settings and update-merchant-settings.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/retrieve-configuration HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{}
Returns: object.merchant_configuration
New to Reservepay? Read our guide on how to call endpoints to get started.
Merchant configuration attributes
Attribute Description
funding_currency
string

Always present. The base/default currency for the merchant account.

Possible values:
  • THB
time_zone
string

Always present. The merchant timezone as an IANA timezone string. E.g. Asia/Bangkok

time_offset
string

Always present. The merchant timezone (ISO8601 format). E.g.: +07:00

minimum_automated_payout_amount
number

Always present. The global baseline minimum amount for automated payouts. The actual required minimum for a specific transaction may be higher depending on the rules or limits of the chosen payout method.

maximum_automated_payout_amount
number

Always present. The global baseline maximum amount for automated payouts. The actual allowed maximum for a specific transaction may be lower depending on the rules or limits of the chosen payout method.

high_value_payout_threshold_amount
number

Always present. The amount threshold that triggers the PO-HIGH_VALUE Plan SKU. This SKU is applied in addition to existing payout SKUs, not as a replacement.

payouts_blocked
boolean

Always present. Whether payouts are blocked for this merchant.

Possible values:
  • true
  • false
Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.